using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace RobotNet.RobotManager.Services.OpenACS;

public class ACSStatusBodyResponse
{
    [JsonPropertyName("result")]
    [Required]
    public string Result { get; set; } = string.Empty;

}

public class ACSStatusResponse
{
    [JsonPropertyName("header")]
    [Required]
    public ACSHeader Header { get; set; } = new("", DateTime.MinValue.ToString("yyyy-MM-dd HH:mm:ss.fff"));


    [JsonPropertyName("body")]
    [Required]
    public ACSStatusBodyResponse Body { get; set; } = new();
}
